XYZ(.5);


tooth_diam=10; //in mm, diameter of roller
resolution=3; //cut_resolution
rack_thickness =10; //thickness of rack
rack_lengths = 4; //length of rack

//constants
pi=3.14159265;
teeth_num=10;

//calulations
wheel_diam=(47.5/8.05)*tooth_diam;
rack_length=wheel_diam/2+2/3*tooth_diam;




//let's just define it so we get the same measurements as the dx



//cut_profile();
rack();
gear();

//modules----------------------------------------------------------------------------------
//gear
module gear(startteeth=1)
{
	for(i=[startteeth:teeth_num+1])
	{
		translate([wheel_diam*cos(i*360/teeth_num),wheel_diam*sin(i*360/teeth_num),0])
		color([1,0,0]) cylinder(h=rack_thickness*2, r1=tooth_diam, r2=tooth_diam, center=true);
	}
}

//generate rack
module rack()
{	
	translate([-rack_lengths*rack_length-tooth_diam/6,0,0])
	union()
	{
		for(k=[0:rack_lengths])
		{
			translate([rack_length*k,0,0]) rack_teeth();
		}
	}
}

module rack_teeth()
{
	rotate([180,0,0])
	difference()
	{
		translate([wheel_diam+tooth_diam*1.5, wheel_diam,0]) cube([rack_length,wheel_diam,rack_thickness],center=true);
		for(j=[0:resolution:180])
		{
			 translate([j*pi/180*wheel_diam,0,0]) rotate([0,0,j]) gear(3);
		}
	}
		
}


module XYZ(thin)
{		
	//X red
		color([1,0,0]) cube(size=[1000,thin,thin],center=true);
	//Y grn
		color([0,1,0]) cube(size=[thin,1000,thin],center=true);
	//Z  blu
		color([0,0,1]) cube(size=[thin,thin,1000],center=true);
}
